using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.UI.MobileControls;
using System.Collections.Generic;

public partial class Controls_News : System.Web.UI.UserControl, IWebPart, IWebActionable
{
	protected void Page_Load(object sender, EventArgs e)
	{

	}

	public void RefreshNews()
	{
		m_labelLastRefresh.Text = DateTime.Now.ToString();
	}

	protected void m_btnRefresh_Click(object sender, EventArgs e)
	{
		RefreshNews();
	}

	#region IWebPart Members

	public string CatalogIconImageUrl
	{
		get
		{
			return String.Empty;
		}
		set
		{

		}
	}

	public string Description
	{
		get
		{
			return String.Empty;
		}
		set
		{

		}
	}

	public string Subtitle
	{
		get { return String.Empty; }
	}

	public string Title
	{
		get
		{
			return "News";
		}
		set
		{

		}
	}

	public string TitleIconImageUrl
	{
		get
		{
			return String.Empty;
		}
		set
		{

		}
	}

	public string TitleUrl
	{
		get
		{
			return String.Empty;
		}
		set
		{

		}
	}

	#endregion


	#region IWebActionable Members

	public WebPartVerbCollection Verbs
	{
		get 
		{
			List<WebPartVerb> verbs = new List<WebPartVerb>();

			WebPartVerb verb = new WebPartVerb("Refresh News",
				new WebPartEventHandler(HandleRefreshClick));

			verb.Text = "Refresh News";
			verb.Visible = true;
			verb.Enabled = true;
			verbs.Add(verb);

			return new WebPartVerbCollection(verbs);
		}
	}

	protected virtual void HandleRefreshClick(object sender, WebPartEventArgs e)
	{
		RefreshNews();
	}

	#endregion
}
